Skip to main content

List all rewards.

GET 

/api/rewards

Requires admin token. Retrieve the list of rewards given by a partner.

Request

Query Parameters

    page int32

    Default value: 0

    Page number

    Example: 0
    size int32

    Default value: 10

    Number of items per page

    Example: 10
    sortBy string

    Possible values: [dateRewarded]

    Default value: dateRewarded

    Sort by field

    Example: dateRewarded
    sortDirection string

    Possible values: [asc, desc]

    Default value: desc

    Sort by order

    Example: desc
    searchBy string

    Possible values: [userFirstName, userLastName, userEmail, userPhone]

    Search by field

    Example: firstName
    searchValue string

    Search by value

    Example: Tom
    rewardType string

    Possible values: [MileageCheckIn, ServiceCheckIn, ConditionCheckIn]

    Filter rewards by type

    Example: MileageCheckIn
    status string

    Possible values: [Pending, Confirmed, Declined, Claimed, All]

    Filter rewards by status

    Example: Claimed
    vehicleId string

    Filter rewards by vehicle id

    Example: XT_IVEHABC123
    payoutId string

    Filter rewards by payout id

    Example: XT_PAYABC123
    actionCode string

    Filter rewards by partner-supplied actionCode (exact match). Useful for grouping rewards minted via the grant-reward endpoint.

    Example: device-purchase
    rewardStartDate string

    Filter rewards whose reward date is greater or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z
    rewardEndDate string

    Filter rewards whose reward is less or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z

Responses

List of rewards matching the query.

Schema

    totalItems int64

    Total number of rewards

    currentPage int32

    Current page number

    totalPages int64

    Current page size

    itemsOnPage int32

    Number of rewards on current page

    rewards

    object[]

    List of rewards

  • Array [

  • id string

    Id of the reward

    status string

    Possible values: [Pending, Confirmed, Declined, Claimed, All]

    Status of the reward

    type string

    Possible values: [MileageCheckIn, ConditionCheckIn, GaragingCheckIn, LowMileageBonus, Custom, SurveyCompleted]

    Type of the reward

    description string

    Description of the reward

    vehicleId string

    Id of the vehicle (if the reward is tied to an action on the vehicle like a Mileage Check-in

    payoutId string

    Id of the payout (if the reward has been claimed.

    dateRewarded string

    Date on which reward was created

    owner

    object

    Check-in owner

    id string

    Id of the user

    firstName string

    User's first name

    lastName string

    User's last name

    amount double
  • ]

Loading...